%define cvs_y 2004
%define cvs_m 05
%define cvs_d 05
%define cvsver exp_%{cvs_y}_%{cvs_m}_%{cvs_d}
%define version	6.2.2
%define rel 4
%define release %mkrel %rel
#define release %{?_with_cvs:%mkrel -c %{cvs_y}%{cvs_m}%{cvs_d} %rel}%{!?_with_cvs:%mkrel %rel}
%define grassfix 62
#if %mdkversion >= 200710
%define name grass
#Obsoletes: grass%{grassfix}
#else
#define name grass%{?grassfix:%grassfix}
#endif

%{?_with_cvs: %define build_cvs 1}

Summary: 	Geographic Resources Analysis Support System
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Sciences/Geosciences
License: 	GPL
URL: 		http://grass.itc.it/
%if %{?_with_cvs:1}%{!?_with_cvs:0}
Source: 	http://grass.itc.it/%{name}/source/snapshot/%{name}src_cvs_snapshot_%{cvsver}.tar.gz
Source1: 	http://grass.itc.it/grass50/source/snapshot/grass50src_cvs_snapshot_%{cvsver}.tar.gz
%else
Source:		http://grass.itc.it/grass%{grassfix}/source/grass-%{version}.tar.gz
%endif
Source2: 	grass5_48.png.bz2
Source3: 	grass5_32.png.bz2
Source4: 	grass5_16.png.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires:	xterm 
Requires:       tk 
Requires:       tcl

BuildRequires: 	png-devel 
BuildRequires:  jpeg-devel 
BuildRequires:  tiff-devel 
BuildRequires:  gd-devel >= 2.0 
BuildRequires:  freetype2-devel
BuildRequires: 	MesaGLU-devel 
BuildRequires:  unixODBC-devel 
BuildRequires:  fftw-devel 
BuildRequires:  lesstif-devel
BuildRequires: 	tk tk-devel
BuildRequires:  ncurses-devel 
BuildRequires:  zlib-devel 
BuildRequires:  gdbm-devel 
BuildRequires:  readline-devel 
BuildRequires:  postgresql-devel
BuildRequires:	gcc-gfortran 
BuildRequires:  gdal-devel >= 1.2.0 
BuildRequires:  flex 
BuildRequires:  bison
BuildRequires:  proj-devel proj >= 4.4.7
BuildRequires:  tcl tcl-devel
BuildRequires:  fftw-devel
BuildRequires:	cfitsio-devel
BuildRequires:	unixODBC-devel
BuildRequires:  mysql-devel
BuildRequires:	termcap-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	freetype-devel
BuildRequires:	python-devel
BuildRequires:	sqlite-devel
BuildRequires:	lzma
%if %mdkversion >= 200700
# deal with Xorg split
BuildRequires:	mesaglw-devel
%endif

Obsoletes:	grass57
Provides:	grass57 = %{version}-%{release}

%description
GRASS (Geographic Resources Analysis Support System) is an 
open source, Free Software Geographical Information System (GIS)
with raster, topological vector, image processing, and graphics
production functionality that operates on various platforms 
through a graphical user interface and shell in X-Window.

%prep
%setup -q %{?_with_cvs:-b1 -n %{name}_%{cvsver}}%{!?_with_cvs:-n grass-%{version}}
#patch2
#autoconf

%build
export LDFLAGS="-L/usr/X11R6/%{_lib}"
%configure \
	--with-dbm-includes=%{_includedir}/gdbm/ \
	--with-postgres-includes='%{_includedir}/pgsql %{_includedir}/pgsql/internal' \
	--with-freetype \
	--with-freetype-includes=%{_includedir}/freetype2 \
	--with-motif \
%if %mdkversion >= 200700
	--with-opengl-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-includes=%{_includedir} \
%else
	--with-opengl-libs=%{_prefix}/X11R6/%{_lib} \
	--with-motif-includes=%{_prefix}/X11R6/include \
%endif
	--with-gdal  \
	--with-mysql --with-mysql-includes=%{_includedir}/mysql \
	--with-odbc \
	--enable-largefile \
	--with-ffmpeg --with-ffmpeg-includes=%{_includedir}/ffmpeg \
	--with-curses \
	--with-python \
	--with-sqlite \
	--with-cxx \
	--with-proj-share=%{_datadir}/proj \
	--with-nls \
	%{?_with_cvs:--with-grass50=`pwd`/../grass50_%{cvsver}}

#Options that aren't really used
#	--with-blas \
#	--with-lapack \
#	--with-dbm \

#Fix messy grass readline misdetection:
perl -pi -e "s/^READLINELIB .*\$/READLINELIB         =  -lreadline -ltermcap/g" include/Make/Platform.make
perl -pi -e "s/^HISTORYLIB.*\$/HISTORYLIB          =  -lhistory/g" include/Make/Platform.make
perl -pi -e 's,/\* #undef HAVE_READLINE_READLINE_H \*/,#define HAVE_READLINE_READLINE_H 1,g' include/config.h
%if %{?_with_cvs:1}%{!?_with_cvs:0}
make mix
%endif
#r.mapcalc not building first time around:
make||make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
#%makeinstall_std INST_DIR=%{_libdir}/grass%{grassfix}
# Actions in make install that don't take into account packaging in a place different to running:
sed -e 's|^GISBASE.*|GISBASE=%{_libdir}/grass%{grassfix}|' \
 bin.%{_target_platform}/grass%{grassfix} > $RPM_BUILD_ROOT/%{_bindir}/grass%{grassfix}
chmod a+x $RPM_BUILD_ROOT/usr/bin/grass%{grassfix}
#cp $RPM_BUILD_PATH/bin.i586-mandrake-linux-gnu/gmake5 $RPM_BUILD_ROOT/usr/bin
#cp $RPM_BUILD_PATH/bin.i586-mandrake-linux-gnu/gmakelinks5 $RPM_BUILD_ROOT/usr/bin

mkdir -p %{buildroot}/%{_libdir}/grass%{grassfix}
cp -a dist.%{_target_platform}/* %{buildroot}/%{_libdir}/grass%{grassfix}

# Add makefiles to includes:
cp -a include/Make %{buildroot}/%{_libdir}/grass%{grassfix}/include/

# Manually archive the man pages:
lzma $RPM_BUILD_ROOT/%{_libdir}/grass%{grassfix}/man/man?/*

mkdir $RPM_BUILD_ROOT/%{_libdir}/grass%{grassfix}/locks/

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Grass%{grassfix}
Comment=Geographic Resources Analysis Support System
Exec=%{_bindir}/grass%{grassfix} 
Icon=%{name}
Terminal=true
Type=Application
Categories=Science;Geology;
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%{_libdir}/grass%{grassfix}/
%{_datadir}/applications/mandriva-grass.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%attr(1777,root,root) %{_libdir}/grass%{grassfix}/locks
%doc AUTHORS COPYING INSTALL README CHANGES


%changelog
* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 6.2.2-4mdv2008.0
+ Revision: 82015
- rebuild for new soname of tcl

* Wed Sep 05 2007 Buchan Milne <bgmilne@mandriva.org> 6.2.2-3mdv2008.0
+ Revision: 80437
- Fix proj data location (last of #33149)
- Remove unused blas buildrequires and blas-related patches

* Thu Jul 19 2007 Adam Williamson <awilliamson@mandriva.com> 6.2.2-2mdv2008.0
+ Revision: 53402
- rebuild with new lesstif
- lzma not bzip manpages
- drop X-Mandriva menu category
- fd.o icons

* Tue Jul 17 2007 Funda Wang <fundawang@mandriva.org> 6.2.2-1mdv2008.0
+ Revision: 52948
- New version


* Tue Feb 06 2007 Buchan Milne <bgmilne@mandriva.org> 6.2.1-3mdv2007.0
+ Revision: 116819
- Enable a few more features

* Fri Dec 15 2006 Buchan Milne <bgmilne@mandriva.org> 6.2.1-2mdv2007.1
+ Revision: 97418
- buildrequire termcap-devel
- build system cant handle package name different to module name
-New version 6.2.1
-use versioned name on backports
-obsolete this versioned one in the cooker package to take care of upgrades
-drop irrelevant patches

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires

* Thu Aug 31 2006 Buchan Milne <bgmilne@mandriva.org> 6.0.2-1mdv2007.0
+ Revision: 58796
- Import grass

* Wed Aug 30 2006 Buchan Milne <bgmilne@mandriva.org> 6.0.2-1mdv2007.0
- 6.0.2
- fix buildrequires and lib/include paths for xorg 7.0 and later
- disable glw on 2007 and later until I can find the problem
- xdg menu

* Fri Feb 03 2006 Lenny Cartier <lenny@mandriva.com> 6.0.2-0.RC4.1mdk
- 6.0.2RC4

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 6.0.1-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6.0.1-3mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6.0.1-2mdk
Fix BuildRequires

* Sun Oct 02 2005 Lenny Cartier <lenny@mandriva.com> 6.0.1-1mdk
- 6.0.1

* Wed May 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6.0.0-3mdk
- Rebuild ( Fix #15790)

* Wed Mar 16 2005 Buchan Milne <bgmilne@linux-mandrake.com> 6.0.0-2mdk
- rebuild

* Tue Mar 15 2005 Buchan Milne <bgmilne@linux-mandrake.com> 6.0.0-1mdk
- 6.0.0
- better requires
- cleanups and merge with changes in grass57
- use mkrel
- obsolete grass57

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandake.com> 5.0.3-3mdk
- rebuild for gcc-3.4

